import { OnInit, EventEmitter } from '@angular/core';
import { Subscription } from 'rxjs';
import { ProtocolSelectedEvent } from '../api';
import { DeviceScanner } from '@iotize/tap/scanner/api';
export declare class TapScannerWebBluetoothComponent implements OnInit {
    scanner: DeviceScanner<any>;
    onProtocolSelected: EventEmitter<ProtocolSelectedEvent>;
    showScanButton: boolean;
    isScanning: boolean;
    isLoadingDevice: boolean;
    error?: Error;
    deviceSubscription?: Subscription;
    errorSubscription?: Subscription;
    constructor(scanner: DeviceScanner<any>);
    ngOnInit(): Promise<void>;
    ngOnDestroy(): void;
    startScan(): void;
    onError(error: Error): void;
}
